<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:define name="contenido">
<!--        <f:metadata>
        </f:metadata>-->
        <style>
            #div-btn-elim{
                display: none;
            }
            #div-btn-elim-premio{
                display: none;
            }
/*            div.scroll{
                height: 600px;
                overflow: auto;
            }*/
        </style>
        <h1>Sorteo</h1>
        <div class="ui stackable grid">
            <div class="ten wide column">
                <div class="ui secondary menu">
                    <div class="fitted item">
                        <div id="boton-nuevo" class="ui green button">
                            <i class="file icon" />
                            Nuevo
                        </div>
                    </div>
                    <div id="div-btn-elim" class="fitted item">
                        <div class="ui red button">
                            <i class="trash icon"/>
                            Eliminar Sorteo
                        </div>
                    </div>
                    <div id="div-btn-elim-premio" class="fitted item">
                        <div class="ui red button">
                            <i class="trash icon"/>
                            Eliminar Premio
                        </div>
                    </div>
                </div>
                <div class="ui fluid icon input search">
                    <input id="txtBuscar" placeholder="Buscar" type="text"></input>
                    <i class="search icon"></i>
                </div>
                <div class="scroll" id="scroll">
                    <h:form id="form-tabla">
                        <table jsf:id="elementos-tabla" class="ui selectable celled table">
                            <thead>
                                <tr>
<!--                                    <th class="collapsing">
                                        <div  class="ui fitted checkbox" onclick="seleccionarTodo()">
                                            <input type="checkbox" id="chk-selec-todo"/>
                                            <label/>
                                        </div>
                                    </th>-->
                                    <th class="collapsing">Acción</th>
                                    <th>COD</th>
                                    <th>Descripción</th>
                                </tr>
                            </thead>
                            <tbody>
                                <h:inputHidden id="idVarsorteo-hidden" value="#{premioManBean.idVarSorteoPremio}" />
                                <ui:repeat value="#{sorteoManBeanPremio.listSorteo}" var="sorteo" varStatus="sorteoStatus">
                                    <tr id="sort#{sorteo.idsorteo}">
                                        <td id="column-action-modulo">
                                            <h:commandLink class="ui button" id="btnSorteo" style="width: 100px" action="#{premioManBean.getListPremio()}" onclick="seleccionarFila('#{sorteo.idsorteo}')">
                                            <i class="add circle icon"></i><f:ajax execute="@form" render="form-pre"/>
                                        </h:commandLink></td>
                                        <td id="col-id-sorteo-#{sorteo.idsorteo}">#{sorteo.idsorteo}</td>
                                        <td id="col-descripcion-sorteo-#{sorteo.idsorteo}">#{sorteo.descripcion}</td>
                                        
                                    </tr>
                                </ui:repeat>
                            </tbody>
                        </table>
                    </h:form>
                </div>
            </div>
            <div class="six wide column">
                <div class="ui pointing secondary menu">
                    <a class="item active" data-tab="sorteo">Sorteo</a>
                    <a class="item" data-tab="premio">Premio</a>
                     
                </div>
                
                <div class="ui active tab" data-tab="sorteo">
                    <h:form id="form-sorteo">
                        <div class="ui form">
                            <div class="field">
                                <label>Id Sorteo</label>
                                <input disabled="true" name="id-sorteo" jsf:id="id-sorteo" placeholder="Id Sorteo" jsf:value="#{sorteoManBeanPremio.sorteoVar.idsorteo}" type="text"></input>
                                <h:inputHidden id="idsorteo-hidden" value="#{sorteoManBeanPremio.sorteoVar.idsorteo}" />
                            </div>
                            <div class="field">
                                <label>Descripión</label>
                                <input name="nombre-sorteo" placeholder="Descripción" jsf:value="#{sorteoManBeanPremio.sorteoVar.descripcion}" type="text"></input>
                            </div>                            
                            <h:commandLink id="btn-agregar-sorteo" class="ui primary button" onclick="validarCampos()" action="#{sorteoManBeanPremio.registrarSorteo()}">
                            <i class="add circle icon" />
                            Agregar
                            <f:ajax execute="@form" onevent="function (data) {
                            if (data.status == 'success') {
                            if ($('#msg-formulario').css('display') == 'none') {
                            $('#msg-formulario').transition('fade');
                            }
                            }
                            }" 
                            render="text-formulario form-tabla"/>
                        </h:commandLink>
                            
                            <h:commandLink id="btn-modif-sorteo" class="ui teal button" onclick="validarCampos()" action="#{sorteoManBeanPremio.modificarSorteo()}">
                            <i class="save icon" />
                            Guardar
                            <f:ajax execute="@form" onevent="function (data) {
                            if (data.status == 'success') {
                            if ($('#msg-formulario').css('display') == 'none') {
                            $('#msg-formulario').transition('fade');
                            }
                            }
                            }" 
                            render="text-formulario form-tabla"/>
                        </h:commandLink>
                        </div>
                    </h:form>
                </div>
                
                <div class="ui tab" data-tab="premio">
                    <h:form id="form-premio">
                    <div class="ui form">
                        <div class="field">
                            <!--<label>ID</label>-->
                            <input style="display: none" disabled="true" jsf:id="idpremio" name="idpremio" jsf:value="#{premioManBean.premioVar.idpremios}" placeholder="ID" type="hidden" readonly="true"></input>
                            <h:inputHidden id="idpremio-hidden" value="#{premioManBean.premioVar.idpremios}" />
                        </div>
                        <div id="numeropremio" class="required field">
                            <label>Número de Premio</label>
                            <input jsf:id="nropremio" name="nropremio" jsf:value="#{premioManBean.premioVar.numeroPremio}" type="number" placeholder="Nro Premio" required="true" autofocus="true"></input>
                        </div>
                        <div id="descripcionPremio" class="required field">
                            <label>Descripción</label>
                            <input jsf:id="nombrepremio" name="nombrepremio" jsf:value="#{premioManBean.premioVar.descripcion}" placeholder="Descrión Premio" type="text" required="true" autofocus="true"></input>
                        </div>
                                <div class="required field">
                                    <h:inputHidden id="idsorteotmp-hidden" value="#{premioManBean.idSorteoTmp}" />
                                </div>
                        
                    </div>
                    <div id="msg-formulario" class="ui info hidden message">
                        <i class="close icon" />
                        <div class="header">
                            Info
                        </div>
                        <h:outputText id="text-formulario" value="#{premioManBean.msg}"/>
                    </div>
                    <!--</div>-->
                    <p/>
                    <p/>
                    <div class="actions">
                        <h:commandLink id="btn-modif" class="ui teal button" onclick="validarCampos()" action="#{premioManBean.modificarPremio()}">
                            <i class="save icon" />
                            Guardar
                            <f:ajax execute="@form" onevent="function (data) {
                            if (data.status == 'success') {
                            if ($('#msg-formulario').css('display') == 'none') {
                            $('#msg-formulario').transition('fade');
                            }
                            }
                            }" 
                            render="text-formulario form-pre"/>
                        </h:commandLink>
                        <h:commandLink  id="btn-agre" class="ui primary button" onclick="validarCampos()" action="#{premioManBean.registrarPremio()}">
                            <i class="add circle icon" />
                            Agregar
                            <f:ajax execute="@form" onevent="function (data) {
                            if (data.status == 'success') {
                            if ($('#msg-formulario').css('display') == 'none') {
                            $('#msg-formulario').transition('fade');
                            }
                            }
                            }" 
                            render="text-formulario form-pre"/>
                        </h:commandLink>
                    </div>
                </h:form>
                <div class="ui divider hidden"></div>
                
                <div class="scroll" id="scroll">
                    <h:form id="form-pre">
                        <table jsf:id="elementos-tabla-premio" class="ui selectable celled table">
                            <thead>
                                <tr>
<!--                                    <th style="display: none" class="collapsing">
                                        <div  class="ui fitted checkbox" onclick="seleccionarTodo()">
                                            <input type="checkbox" id="chk-selec-todo"/>
                                            <label/>
                                        </div>
                                    </th>-->
                                    <th style="display: none">ID</th>
                                    <th style="display: none">Nro</th>
                                    <th style="display: none">Descripción</th>
                                </tr>
                            </thead>
                            <tbody>
                                
                                <ui:repeat value="#{premioManBean.listPremio}" var="premio" varStatus="premioStatus">
                                    <tr id="pre#{premio.idpremios}">
                                        <td style="display: none" id="col-id-premio-#{premio.idpremios}" onclick="seleccionarFilaPremio('#{premio.idpremios}')">#{premio.idpremios}</td>
                                        <td style="width: 20px" id="col-nro-premio-#{premio.idpremios}" onclick="seleccionarFilaPremio('#{premio.idpremios}')">#{premio.numeroPremio}</td>
                                        <td id="col-descripcion-premio-#{premio.idpremios}" onclick="seleccionarFilaPremio('#{premio.idpremios}')">#{premio.descripcion}</td>
                                    </tr>
                                </ui:repeat>
                            </tbody>
                        </table>
                    </h:form>
                </div>
                    
                </div>
                
                <h:form id="dlg-conf-elim" class="ui basic modal">
                    <!--<input name="selbar" id="selbar" type="hidden" jsf:value=""/>-->
                    <h:inputHidden id="selbar" value="#{premioManBean.idSorteoPremio}" />
            <div class="ui icon header">
                <i class="trash icon"></i>
                Eliminar premio
            </div>
            <div class="centered content">
                <p>¿Desea eliminar los elementos seleccionados?</p>
            </div>
            <div class="actions">
                <h:commandLink action="#{premioManBean.eliminarPremio()}" onclick="$('#div-btn-elim-premio').hide()" class="ui green ok inverted button">
                    <i class="checkmark icon"></i>
                    Sí
                    <f:ajax execute="@form" render="form-pre"/>
                </h:commandLink>

                <div class="ui red basic cancel inverted button">
                    <i class="remove icon"></i>
                    No
                </div>
            </div>
        </h:form>
                <h:form id="dlg-conf-elim-sorteo" class="ui basic modal">
                    <!--<input name="selbar" id="selbar" type="hidden" jsf:value=""/>-->
                    <h:inputHidden id="selbar1" value="#{sorteoManBeanPremio.idEliminar}" />
            <div class="ui icon header">
                <i class="trash icon"></i>
                Eliminar Sorteo!
            </div>
            <div class="centered content">
                <h1>VERIFICAR PREMIOS ASOCIADOS, Es posible que se borren, si sigue con la acción</h1>
                <p>¿Desea eliminar los elementos seleccionados?</p>
            </div>
            <div class="actions">
                <h:commandLink action="#{sorteoManBeanPremio.eliminarSorteo()}" onclick="$('#div-btn-elim').hide()" class="ui green ok inverted button">
                    <i class="checkmark icon"></i>
                    Sí
                    <f:ajax execute="@form" render="form-tabla form-pre"/>
                </h:commandLink>

                <div class="ui red basic cancel inverted button">
                    <i class="remove icon"></i>
                    No
                </div>
            </div>
        </h:form>
                
            </div>
        </div>
        <script>
//            $('.ui.button').on('click', function {
//                $.tab('change tab', 'premio');
//            });
            $('#form-premio\\:btn-modif').hide();
            $('#form-sorteo\\:btn-modif-sorteo').hide();
            $("#boton-nuevo").click(function (){
                $('#form-premio\\:btn-agre').show();
                $('#form-sorteo\\:btn-agregar-sorteo').show();
                $('#form-premio\\:btn-modif').hide();
                $('#form-sorteo\\:btn-modif-sorteo').hide();
                $('#form-datos\\:nropremio').focus();
                $('#form-sorteo\\:nombre-sorteo').focus();
                $("#form-tabla tr").removeClass('active');
                $("#form-pre tr").removeClass('active');
                $("#div-btn-elim-premio").hide();
                $("#div-btn-elim").hide();
                $.tab('change tab', 'sorteo');
                    $('.menu .item').tab();
                limpiarFormulario();
                removerCampoError();
            });
            
            $('#form-premio\\:btn-agre').click(function (){
                $('#form-premio\\:nropremio').focus();
                limpiarFormulario();
            });
            
            $('#form-premio\\:btn-modif').click(function  (){
                $('#form-premio\\:nroppremio').focus();
                $('#form-premio\\:btn-modif').hide();
                $('#form-premio\\:btn-agre').show();
                $('#div-btn-elim').hide();
                limpiarFormulario();
            });
            $('#form-sorteo\\:btn-modif-sorteo').click(function  (){
                $('#form-sorteo\\:nombre-sorteo').focus();
                $('#form-sorteo\\:btn-modif-sorteo').hide();
                $('#form-sorteo\\:btn-agregar-sorteo').show();
                $('#div-btn-elim').hide();
                limpiarFormulario();
            });
            
            $('#div-btn-elim').click(function () {
                $('#dlg-conf-elim-sorteo').modal('show');
            });
            $('#div-btn-elim-premio').click(function () {
                $('#dlg-conf-elim').modal('show');
            });
            
            $('.message .close').on('click', function () {
                $(this).closest('.message').transition('fade');
            });
            
            function comprobarSeleccionTodo(){
                var seleccionados = $('tbody :checkbox:checked').length;
                var cantfila = $("tbody tr").length;
                if(seleccionados === 0){
                    $("#chk-selec-todo").prop("checked", false);
                }else{
                    if(seleccionados===cantfila){
                        $("#chk-selec-todo").prop("checked", true);
                    }else{
                        $("#chk-selec-todo").prop("checked", false);
                    }
                }
            }
            
    function seleccionarFila(idpremio){
                var idfila = '#sort' + idpremio;
                $("#form-tabla tr").removeClass('active');
                $(idfila).addClass('active');
                if($(idfila).hasClass('active')){
                    $("#div-btn-elim").show();
                    $("#div-btn-elim-premio").hide();
                    $('#form-sorteo\\:btn-modif-sorteo').show();
                    $('#form-sorteo\\:btn-agregar-sorteo').hide();
                    $.tab('change tab', 'premio');
                    $('.menu .item').tab();
                    modificar(idpremio);
                }else {
                    $("#div-btn-elim").hide();
                    $('#form-sorteo\\:btn-modif-sorteo').hide();
                    $('#form-sorteo\\:btn-agregar-sorteo').show();
                }
            }
            function seleccionarFilaPremio(idpremio){
                var idfila = '#pre' + idpremio;
                $("#form-pre tr").removeClass('active');
                $(idfila).addClass('active');
                if($(idfila).hasClass('active')){
//                    $('#idChk').prop('checked');
                    $("#div-btn-elim").hide();
                    $("#div-btn-elim-premio").show();
                    $('#form-premio\\:btn-modif').show();
                    $('#form-premio\\:btn-agre').hide();
                    modificarPremio(idpremio);
                }else {
                    $("#div-btn-elim-premio").hide();
                    $('#form-premio\\:btn-modif').hide();
                    $('#form-premio\\:btn-agre').show();
                }
            }
                        
            function modificar(idpremio){
                 $('#form-sorteo\\:id-sorteo').val($('#col-id-sorteo-'+idpremio).html());
                 $('#form-tabla\\:idsort').val($('#col-id-sorteo-'+idpremio).html());
                 $('#form-tabla\\:idVarsorteo-hidden').val($('#col-id-sorteo-'+idpremio).html());
                 $('#form-premio\\:id-premioS').val($('#col-id-sorteo-'+idpremio).html());
                $('#form-sorteo\\:idsorteo-hidden').val($('#col-id-sorteo-'+idpremio).html());
                $('#form-premio\\:idsorteotmp-hidden').val($('#col-id-sorteo-'+idpremio).html());
                $('#form-sorteo\\:nombre-sorteo').val($('#col-descripcion-sorteo-'+idpremio).html());
                $('#dlg-conf-elim-sorteo\\:selbar1').val($('#col-id-sorteo-'+idpremio).html());
            }
            function modificarPremio(idpremio){
                 $('#form-premio\\:idpremio').val($('#col-id-premio-'+idpremio).html());
                 $('#form-premio\\:idpremio-hidden').val($('#col-id-premio-'+idpremio).html());
                 $('#form-premio\\:nropremio').val($('#col-nro-premio-'+idpremio).html());
                $('#form-premio\\:nombrepremio').val($('#col-descripcion-premio-'+idpremio).html());
                $('#dlg-conf-elim\\:selbar').val($('#col-id-premio-'+idpremio).html());
                
//                $('#form-premio\\:nombre-sorteo').val($('#col-descripcion-sorteo-'+idpremio).html());
            }
            
            function generarDatos(){
                var idSeleccionados=[];
                $("tbody tr [id^='col-id-premio']").each(function (index, value){
                   var id = parseInt($(this).html());
                   
                   if($('#chk-pre-'+id).prop('checked')){
                       idSeleccionados.push(id);
                   }
                });
                var jsonselect = JSON.stringify(idSeleccionados);
                $('#selbar').val(jsonselect);
                $('#div-btn-elim-premio').hide();
            }
            
            $(document).ready(function(){
                $("#txtBuscar").keyup(function(){
                    if( $(this).val() !== ""){
			$("#form-tabla\\:elementos-tabla tbody>tr").hide();
			$("#form-tabla\\:elementos-tabla td:contains-ci('" + $(this).val() + "')").parent("tr").show();
                    }else{
			$("#form-tabla\\:elementos-tabla tbody>tr").show();
                    }
                });
            });
            $.extend($.expr[":"],{
                "contains-ci": function(elem, i, match, array){
                    return (elem.textContent || elem.innerText || $(elem).text() || "").toLowerCase().indexOf((match[3] || "").toLowerCase()) >= 0;
                }
            });
            
             function limpiarFormulario(){
                $('#form-premio\\:idpremio').val($().html());
                $('#form-sorteo\\:id-sorteo').val($().html());
                $('#form-premio\\:idpremio-hidden').val($().html());
                $('#form-sorteo\\:idsorteo-hidden').val($().html());
                $('#form-premio\\:nombrepremio').val($().html());
                $('#form-premio\\:nropremio').val($().html());
                $('#form-sorteo\\:nombre-sorteo').val($().html());
                $('#form-premio\\:nropremio').focus();
            }
            
            function validarCampos(){
                var descripcion = $('#form-datos\\:nombrepremio').val();
                var nropremio = $('#form-datos\\:nropremio').val();
                if(descripcion===""){
                    $('#descripionPremio').addClass('error');
                }else {
                    $('#descripionPremio').removeClass('error');
                }
            }
            function removerCampoError(){
                $('#nombreModulo').removeClass('error');
            }
        </script>
    </ui:define>
</ui:composition>